Package org.jbpm.workflow.core

## Interface NodeContainer

- All Superinterfaces:
    `org.kie.api.definition.process.NodeContainer`
  All Known Subinterfaces:
    `WorkflowProcess`
  All Known Implementing Classes:
    `CompositeContextNode`, `CompositeNode`, `DynamicNode`, `EventSubProcessNode`, `ForEachNode`, `NodeContainerImpl`, `RuleFlowProcess`, `StateNode`, `WorkflowProcessImpl`

      public interface NodeContainer
      extends org.kie.api.definition.process.NodeContainer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNode​(org.kie.api.definition.process.Node node)` | Method for adding a node to this node container.
    `org.kie.api.definition.process.Node` | `internalGetNode​(long id)` |
    `void` | `removeNode​(org.kie.api.definition.process.Node node)` | Method for removing a node from this node container
    `Context` | `resolveContext​(String contextId, Object param)` |

    - ### Methods inherited from interface org.kie.api.definition.process.NodeContainer

      `getNode, getNodeByUniqueId, getNodes`

- - ### Method Detail

    - #### addNode

          void addNode​(org.kie.api.definition.process.Node node)

      Method for adding a node to this node container. Note that the node will get an id unique for this node container.
      Parameters:
        `node` - the node to be added
      Throws:
        `IllegalArgumentException` - if `node` is null

    - #### removeNode

          void removeNode​(org.kie.api.definition.process.Node node)

      Method for removing a node from this node container
      Parameters:
        `node` - the node to be removed
      Throws:
        `IllegalArgumentException` - if `node` is null or unknown

    - #### resolveContext

          Context resolveContext​(String contextId,
                                 Object param)

    - #### internalGetNode

          org.kie.api.definition.process.Node internalGetNode​(long id)